# fbdevsink

Linux framebuffer videosink

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──GstVideoSink
                            ╰──fbdevsink

## Factory details

Authors: – Sean D'Epagnier <sean></sean>

Classification: – `Sink/Video`

Rank – none

Plugin – fbdevsink

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-raw:
             format: { RGB, BGR, BGRx, xBGR, RGB, RGBx, xRGB, RGB15, RGB16 }
              width: [ 1, 2147483647 ]
             height: [ 1, 2147483647 ]
          framerate: [ 0/1, 2147483647/1 ]

Presence – always

Direction – sink

Object type – GstPad

## Properties

### device

    “device” gchararray

The framebuffer device eg: /dev/fb0

Flags : Read / Write

Default value : NULL

The results of the search are